Browser cog - Problems on Mobian
#1
Hello there,

the browser cog is a lightweight single window browser using WPE libraries. The problem is, that I cannot get the latest versions to run on Mobian - v0.8.1 is the last one functioning.

Has anyone here any ideas what could be the problem?

I tried the --platform= options, which result in errors that the libraries could not be found.

Thanks in advance!
  Reply
#2
Are you still on Bullseye (Debian Stable)?

A quick search of Debian packages shows that's the latest supported version in that release.
Cheers,
TRS-80

What is Free Software and why is it so important for society?

Protocols, not Platforms

For the most Linux-y experience on your Linux phone, try SXMO!

I am (nominally) the Armbian Maintainer for PineBook Pro (although severely lacking in time these days).
  Reply
#3
(12-09-2021, 07:34 PM)TRS-80 Wrote: Are you still on Bullseye (Debian Stable)?

A quick search of Debian packages shows that's the latest supported version in that release.

Thanks for your answer.

I'm on Bookworm and all the versions following 0.8.1 are not working.
  Reply
#4
(12-12-2021, 12:54 PM)arno_nuehm Wrote:
(12-09-2021, 07:34 PM)TRS-80 Wrote: Are you still on Bullseye (Debian Stable)?

A quick search of Debian packages shows that's the latest supported version in that release.

Thanks for your answer.

I'm on Bookworm and all the versions following 0.8.1 are not working.

I had the same issue and was dying without cog.  Building latest from source got it going again.
  1. uninstall existing cog version (sudo apt remove cog)
  2. checkout latest version from https://github.com/Igalia/cog (git clone "https://github.com/Igalia/cog.git")
  3. install dependencies (sudo apt install cmake build-essential pkg-config libcairomm-1.0-dev libwayland-client++0 libinput-dev libgbm-dev libdrm-dev libepoxy-dev libwayland-dev libwpewebkit-1.0-dev  libsoup2.4-dev  libgio3.0-cil-dev  libgio2.0-cil-dev  libwpebackend-fdo-1.0-dev )
  4. build and install:
  5. cd cog
  6. cmake .
  7. make
  8. make install
Did the trick for me, hope it helps!
  Reply
#5
(01-29-2022, 06:38 AM)red75user Wrote:
(12-12-2021, 12:54 PM)arno_nuehm Wrote:
(12-09-2021, 07:34 PM)TRS-80 Wrote: Are you still on Bullseye (Debian Stable)?

A quick search of Debian packages shows that's the latest supported version in that release.

Thanks for your answer.

I'm on Bookworm and all the versions following 0.8.1 are not working.

I had the same issue and was dying without cog.  Building latest from source got it going again.
  1. uninstall existing cog version (sudo apt remove cog)
  2. checkout latest version from https://github.com/Igalia/cog (git clone "https://github.com/Igalia/cog.git")
  3. install dependencies (sudo apt install cmake build-essential pkg-config libcairomm-1.0-dev libwayland-client++0 libinput-dev libgbm-dev libdrm-dev libepoxy-dev libwayland-dev libwpewebkit-1.0-dev  libsoup2.4-dev  libgio3.0-cil-dev  libgio2.0-cil-dev  libwpebackend-fdo-1.0-dev )
  4. build and install:
  5. cd cog
  6. cmake .
  7. make
  8. make install
Did the trick for me, hope it helps!

Thanks for the info! I will try that tomorrow.
  Reply
#6
Cog from Debian works again now Smile

I'm actually not using it anymore because I found Epiphany (GNOME Web) to be fast enough for most things and it has a nice way to create web apps from visiting a site.
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  bookworm vs trixie discussion for mobian in pinephone regular. zetabeta 13 1,080 02-20-2024, 03:07 AM
Last Post: anonymous
  mobian installed to eMMC - how to install tow-boot grump_fiddle_reinstall 6 1,534 11-22-2023, 11:46 AM
Last Post: aLoop100o
  What actions needed to keep on mobian testing user641 3 1,611 09-05-2023, 06:44 AM
Last Post: Zebulon Walton
  Mobian boot failed with zstd message after upgrade. Mahgue 0 557 09-01-2023, 11:29 AM
Last Post: Mahgue
  how to update mobian over tor vusra 13 6,399 07-09-2023, 08:57 PM
Last Post: vusra
  opensnitch outbound firewall now works on mobian vusra 2 1,762 07-09-2023, 01:37 AM
Last Post: vusra
  Using Nativefier on PP64 with Mobian paulcarton 0 559 07-05-2023, 03:57 AM
Last Post: paulcarton
  Has anyone got briar-desktop running on mobian? vusra 5 2,788 06-19-2023, 03:02 PM
Last Post: vusra
  Stability problems with 6.1 kernel Zebulon Walton 9 2,327 05-12-2023, 08:09 AM
Last Post: zetabeta
  Axolotl on PinePhone / Mobian arno_nuehm 219 157,592 03-26-2023, 01:49 AM
Last Post: shulamy

Forum Jump:


Users browsing this thread: 1 Guest(s)